Api referenceBrand sections
Get brand edit history
View the paginated audit log of section edits for a brand.
Authorization
apiKey AuthorizationBearer <token>
API key with bp_prod_ or bp_stag_ prefix
In: header
Path Parameters
brandId*string
The unique identifier of the brand
Format
uuidQuery Parameters
section?string
Filter history by section name
Value in
"colors" | "typography" | "logos" | "tone" | "images" | "mission" | "audiences" | "art-direction" | "northstart-statement" | "things" | "web" | "audio"limit?integer
Maximum number of entries to return
Default
50Range
1 <= value <= 100cursor?string
Pagination cursor for next page
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.brandparser.com/v1/api/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/edit-history"{
"data": [
{
"id": "string",
"brand_id": "1bb61461-e5e3-4ebb-8cc6-5b0c37f1b7da",
"section": "colors",
"action": "override_created",
"before_data": null,
"after_data": null,
"changed_by_user_id": "string",
"changed_by_api_key_id": "string",
"auth_type": "user",
"created_at": "2019-08-24T14:15:22Z"
}
],
"pagination": {
"has_more": true,
"next_cursor": "string"
}
}{
"error": "Not Found",
"message": "Brand not found",
"code": "string"
}{
"error": "Forbidden",
"message": "An active subscription is required to access this resource.",
"code": "SUBSCRIPTION_REQUIRED"
}{
"error": "Not Found",
"message": "Brand not found",
"code": "string"
}